#
# spec file for package bug-buddy (Version 2.20.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs audit-libs-32bit autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs cvs cyrus-sasl cyrus-sasl-devel dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils esound esound-devel evolution-data-server evolution-data-server-devel evolution-data-server-lang fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-certauth-devel gnome-common gnome-desktop gnome-desktop-devel gnome-desktop-lang gnome-doc-utils gnome-doc-utils-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-menus gnome-menus-devel gnome-menus-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang gnutls gnutls-devel grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool keyutils-devel keyutils-libs krb5 krb5-devel less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdb-4_5-32bit libdrm libelf-devel libelf1 libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-certauth0 libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libgpg-error-devel libgtop libgtop-2_0-7 libgtop-devel libgtop-lang libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libsoup libsoup-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxml2 libxml2-devel libxml2-python libxslt libzio licenses linux-kernel-headers m4 make man mktemp mozilla-nspr mozilla-nss ncurses net-tools netcfg nss-mdns nss-mdns-32bit openldap2-client openldap2-devel openssl-certs orbit2 orbit2-devel pam pam-32bit pam-config pam-modules pango pango-devel parted patch perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils python rpm scrollkeeper scrollkeeper-lang sed setserial sgml-skel sqlite startup-notification startup-notification-devel sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           bug-buddy
BuildRequires:  evolution-data-server-devel fdupes gcc-c++ gnome-common gnome-desktop-devel gnome-doc-utils-devel gnome-menus-devel gnutls-devel intltool libelf-devel libglade2-devel libgtop-devel libsoup-devel perl-XML-Parser scrollkeeper update-desktop-files
License:        GPL v2 or later
Group:          System/GUI/GNOME
Version:        2.20.1
Release:        1.2
Requires:       %{name}-lang = %{version}
Summary:        The GNOME Desktop Bug Reporting Tool
Source:         ftp://ftp.gnome.org/pub/gnome/sources/bug-buddy/2.18/%{name}-%{version}.tar.bz2
Patch1:         bug-buddy-kde-menus.patch
Patch5:         abuild.patch
# PATCH-FIX-OPENSUSE bug-buddy-hardcode-dump-path.patch bnc307860
Patch6:         bug-buddy-hardcode-dump-path.patch
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gdb
%gconf_schemas_prereq

%description
The Bug Buddy for the GNOME 2.x Desktop makes bug reporting for
end-users as easy as possible. It can generate crash backtraces and
include that information into the bug report.



Authors:
--------
    Jacob Berkman  <jberkman@andrew.cmu.edu> 

%lang_package
%debug_package
%prep
%setup -q
%patch1
%patch5
%patch6 -p0

%build
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
rm -f $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/modules/*.*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.*a
%suse_update_desktop_file -N "Bug Buddy" -G "Bug Report Tool" -r bug-buddy System Feedback GNOME
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/bug-buddy
%{_datadir}/applications/*.desktop
%{_datadir}/bug-buddy
%{_datadir}/icons/hicolor/48x48/apps/bug-buddy.png
%{_libdir}/gtk-2.0/modules/*
# google breakpad only works on i386 at the moment
%ifarch %ix86
%{_bindir}/minidump_*
%dir %{_libdir}/bug-buddy
%{_libdir}/bug-buddy/libbreakpad.*
%endif

%files lang -f %{name}.lang
%changelog
* Mon Nov 12 2007 - btimothy@suse.de
- Add bug-buddy-hardcode-dump-path.patch to allow dump files to
  be read by bug buddy.  This is still a bug upstream and this
  patch is only a workaround.  Additional fix for BNC #307860.
- Update to version 2.20.1:
  + Bugs (bugzilla.novell.com) fixed: #307860
  + Bugs (bugzilla.gnome.org) fixed: #480130, #479929, #479536,
  [#473671], #483436, #345130
- Remove bug-buddy-ignore-handled-signals.patch, since it's
  already included in 2.20.1.
* Mon Oct 08 2007 - hpj@suse.de
- Added bug-buddy-ignore-handled-signals.patch, which fixes Novell
  bug #331618.
* Thu Sep 20 2007 - maw@suse.de
- Fix the build on i386.
* Tue Sep 18 2007 - maw@suse.de
- Update to version 2.20.0:
  + Bugs (bugzilla.gnome.org) fixed: #471425, #471290
  + Always configure the google-breakpad dir, even though it isn't
  always built; on platforms where it is built, install it
  in a directory private to bug-buddy.
* Fri Aug 31 2007 - maw@suse.de
- Update to version 2.19.91:
  * minidump code fixes
- Remove breakpad-arches.patch, as it is not necessary with this
  release.
* Fri Aug 24 2007 - maw@suse.de
- Remove includes.patch, and replace it with breakpad-arches.patch
  (which comes out of gnome svn) (#297971)
- Google Breakpad is now built and installed for i386; other
  hardware architectures are still unsupported
- Package Gnome Breakpad files on all architectures
- But package Google Breakpad files only on i386.
* Mon Aug 06 2007 - maw@suse.de
- Split out a -lang subpackage.
* Fri Aug 03 2007 - maw@suse.de
- Update to version 2.19.0:
  + Build a GTK_MODULE invoking bug-buddy on segfaults
  + Add support for dumping a minidump file if no debug symbols
  are present [disabled]
  + Preliminary integration of Google Breakpad [disabled, as it
  currently is broken on at least x86_64]
- Add gcc-c++ and libelf-devel as build requirements
- Add includes.patch
- Use %%fdupes.
* Wed Jun 06 2007 - sbrabec@suse.cz
- Patch source file bug-buddy.desktop.in.in instead of
  autogenerated one.
* Thu May 10 2007 - pgajdos@suse.cz
- removed gnome-icon-theme from BuildRequires [#247450]
* Fri Apr 27 2007 - sbrabec@suse.cz
- Do not call meinproc (#227624).
* Thu Apr 12 2007 - maw@suse.de
- Update to version 2.18.1
- Corrected .desktop files
- Fix for bugzilla.gnome.org #424711.
* Thu Mar 29 2007 - maw@suse.de
- Update to version 2.17.4
- Fixes b.g.o 406009, 357203, 394054
- Remove upstreamed bug-buddy-build-warning.patch.
* Tue Feb 27 2007 - maw@suse.de
- Update to version 2.17.3
- Remove bug-buddy-random-data-error.patch, which is now
  upstream
- Add abuild.patch.
* Thu Dec 14 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Oct 13 2006 - danw@suse.de
- Remove dead patches, update for gnome-doc-utils-devel split
* Thu Sep 14 2006 - jhargadon@suse.de
- update to version 2.16.0
- Fix a crash when focusing details-view
- remove the docs subdirectory as the bug-buddy manual is doesn't
  appear in the menus
* Mon Sep 11 2006 - jhargadon@suse.de
- added a patch that fixes a function returning random data in
  bugzilla.c
* Wed Aug 30 2006 - jhargadon@suse.de
- update to version 2.15.92
- drop local xml-rpc functions
- Port to GKeyFile
- Bug fixes
- Show window while collecting .desktop files
- Use some heuristics as report summary
* Fri Aug 18 2006 - aj@suse.de
- Cleanup BuildRequires.
* Wed Aug 02 2006 - gekker@suse.de
- Update to version 2.15.90
  * Support for sending previously non-sent bug reports.
  * Use own .menu file for reading all applications
  * when invoked with --package and without --pid, don't assume it
  is a crash.
  * use theme-friendly icons
  * Update treeview headers when switching between
  products/applications (Matthias Clasen)
  * Fix LSB distro detection (Fernando)
  * Set GnomeFileEntry in save mode when saving the report
  * HIG fixes (Christian Perch)
  * Center the main window (Christian Neumair)
  * Updated translations
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 27 2006 - ro@suse.de
- added kdelibs3-devel-doc to BuildRequires
* Fri Feb 24 2006 - sbrabec@suse.cz
- Improved Categories.
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Tue Feb 14 2006 - coolo@suse.de
- remove nonsense duplication of Name and GenericName
- remove explicit DocPath
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 2.12.1
* Tue Sep 20 2005 - rodrigo@suse.de
- Added bug-buddy-mostfreq.patch (#6530)
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 2.12.0 (GNOME 2.12).
* Tue Sep 06 2005 - coolo@suse.de
- gnome's bug are very unlikely to be reported by KDE users
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.1
* Thu Jul 14 2005 - sbrabec@suse.cz
- Worked around scrollkeeper problems.
* Mon Jun 27 2005 - sbrabec@suse.cz
- Updated to CVS snapshot of pre-2.11.0.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Wed Mar 02 2005 - gekker@suse.de
- Update to version 2.9.92
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.9.91
* Thu Jan 27 2005 - hhetter@suse.de
- updated to version 2.9.3
* Mon Jan 24 2005 - ro@suse.de
- fix category to build
* Mon Jan 17 2005 - sbrabec@suse.cz
- Assigned to Feedback category (#41682).
* Fri Jan 14 2005 - sbrabec@suse.cz
- Updated to version 2.9.2.
* Wed Jan 12 2005 - sbrabec@suse.cz
- Updated to version 2.8.0.
* Wed Dec 22 2004 - ro@suse.de
- fixed typo in specfile
* Tue Dec 21 2004 - sbrabec@suse.cz
  Changed Categories to System;Utility (#41682).
* Fri Oct 29 2004 - ro@suse.de
- locale rename: no -> nb
* Wed Aug 25 2004 - clahey@suse.de
- Cache bug-buddy docs and have bug-buddy show up in khelpcenter.
* Mon Aug 09 2004 - ro@suse.de
- fixed typo in specfile
* Mon Aug 09 2004 - sagarwal@suse.de
-Fixed bug #61284 from bugzilla.ximian.com
* Mon Jul 19 2004 - sagarwal@suse.de
- Fixed bugs #61286 and #61290 from bugzilla.ximian.com
* Tue May 11 2004 - sbrabec@suse.cz
- Fixed gconftool-2 prerequirements.
* Tue May 04 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to bug-buddy.
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
- build with Perl XML::Parser
* Sat Jan 10 2004 - adrian@suse.de
- fix user build
* Wed Oct 29 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 20 2003 - kukuk@suse.de
- Provides/Obsoletes bug-buddy to solve file conflicts
* Mon Sep 15 2003 - hhetter@suse.de
- add Requires: gdb (Bug Id: #30847)
* Sun Sep 14 2003 - adrian@suse.de
- add Debugger Category
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version  2.2.106
* Fri Jun 13 2003 - ro@suse.de
- added directory to filelist
* Tue Jun 03 2003 - ro@suse.de
- add unpackaged files to filelist
* Mon Feb 03 2003 - ro@suse.de
- added startup-notification to neededforbuild
* Tue Jan 28 2003 - hhetter@suse.de
- updated to version 2.2.101
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 - hhetter@suse.de
- remove wrong docdir
* Mon Sep 23 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Jun 27 2002 - hhetter@suse.de
- updated to version 2.2.0 (gnome2.0 final)
- libxslt in neededforbuild (fix scrollkeeper usage)
* Wed Jun 05 2002 - hhetter@suse.de
- updated to version 2.1.6, sources frozen
* Tue Apr 16 2002 - hhetter@suse.de
- initial SuSE Release
